
QGIS Application - Bug report #8662

Using the "New bookmark" it crashes QGIS 2.0

2013-09-24 07:17 PM - Giedrius Vaivilavičius

Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category:

Affected QGIS version:2.0.1 Regression?: No

Operating System: Debian Wheezy Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17391

Description

When I click "New bookmarks" shows error:

http://i.imgur.com/3KE8C4h.png

When I click "OK" QGIS crashes.

After the operation the terminal displays:

giedrius@giedrius:~$ qgis

Warning: loading of qt translation failed [/usr/share/qt4/translations/qt_en_US]

Warning: QSqlDatabase: QSQLITE driver not loaded

Warning: QSqlDatabase: available drivers: QMYSQL3 QMYSQL QSPATIALITE

QGIS died on signal 11[Thread debugging using libthread_db enabled]

Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".

[New Thread 0x7fd4e3979700 (LWP 4247)]

0x00007fd50a3337fd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

[Current thread is 1 (Thread 0x7fd51176e780 (LWP 4246))]

#0  0x00007fd50a3337fd in waitpid () from /lib/x86_64-linux-gnu/libc.so.6

No symbol table info available.

#1  0x00000000005032f8 in qgisCrash(int) ()

No symbol table info available.

#2  <signal handler called>

No symbol table info available.

#3  0x00007fd5111f35a1 in QSqlTableModel::database() const () from /usr/lib/x86_64-linux-gnu/libQtSql.so.4

No symbol table info available.

#4  0x00000000005845b7 in QgsBookmarks::addClicked() ()

No symbol table info available.

#5  0x00000000007cda95 in ?? ()

No symbol table info available.

#6  0x00007fd50d2b654f in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#7  0x00007fd50c644502 in QAction::triggered(bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#8  0x00007fd50c6446f0 in QAction::activate(QAction::ActionEvent) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#9  0x00007fd50ca0485f in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#10 0x00007fd50ca04b0c in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from
/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#11 0x00007fd50cabea8a in QToolButton::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#12 0x00007fd50c699e10 in QWidget::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#13 0x00007fd50c64a70c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from

/usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#14 0x00007fd50c64f3eb in QApplication::notify(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#15 0x00007fd50e433793 in QgsApplication::notify(QObject*, QEvent*) () from /usr/lib/libqgis_core.so.2.0.1

No symbol table info available.

#16 0x00007fd50d2a0b5e in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#17 0x00007fd50c64b54b in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*,

QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#18 0x00007fd50c6c5fc4 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#19 0x00007fd50c6c4d51 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#20 0x00007fd50c6ebbc2 in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#21 0x00007fd508bc7355 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#22 0x00007fd508bc7688 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#23 0x00007fd508bc7744 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0

No symbol table info available.

#24 0x00007fd50d2cf276 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#25 0x00007fd50c6eb83e in ?? () from /usr/lib/x86_64-linux-gnu/libQtGui.so.4

No symbol table info available.

#26 0x00007fd50d29f8af in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#27 0x00007fd50d29fb38 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from

/usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#28 0x00007fd50d2a4cf8 in QCoreApplication::exec() () from /usr/lib/x86_64-linux-gnu/libQtCore.so.4

No symbol table info available.

#29 0x00000000004ff0bc in main ()

No symbol table info available.

gdb returned 0

aborted

This is easily corrected?
Associated revisions

Revision 3f6543d9 - 2014-02-23 04:04 PM - Jürgen Fischer

debian packaging fixes

    -  enable globe on jessie

    -  add dependency on libqt4-sql-sqlite to qgis-provider (fixes #8662)

History

#1 - 2013-09-26 04:24 AM - Giovanni Manghi

- Status changed from Open to Feedback

does the .qgis2 folder have the necessary permissions?

here does not happens (I'm on Ubuntu).

You may want to investigate also this warning

"Warning: QSqlDatabase: QSQLITE driver not loaded

Warning: QSqlDatabase: available drivers: QMYSQL3 QMYSQL QSPATIALITE"

#2 - 2013-10-24 03:19 PM - Giedrius Vaivilavičius

- Status changed from Feedback to Closed

Resolved. Need to install the package libqt4-sql-sqlite

#3 - 2014-02-23 12:50 AM - Jürgen Fischer

- Status changed from Closed to Reopened

#4 - 2014-02-23 01:16 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#5 - 2014-02-23 05:44 AM - Etienne Tourigny

on my ubuntu system that package is installed, but it is not a dependency for qgis package - so that should be added to the ubuntugis package

dependency as well.

#6 - 2014-02-23 08:12 AM - Jürgen Fischer

- Status changed from Reopened to Closed

Fixed in changeset commit:"3f6543d93bae0955ef7b1c704fd4fc392e67549c".
